aboutsummaryrefslogtreecommitdiff
path: root/ci/run_tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/run_tests.sh')
-rwxr-xr-xci/run_tests.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/ci/run_tests.sh b/ci/run_tests.sh
new file mode 100755
index 0000000000..a0bf6e010d
--- /dev/null
+++ b/ci/run_tests.sh
@@ -0,0 +1,34 @@
+#!/usr/bin/env bash
+
+set -e
+set -o pipefail
+
+CI_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+source "${CI_DIR}/common/build.sh"
+source "${CI_DIR}/common/test.sh"
+source "${CI_DIR}/common/suite.sh"
+
+enter_suite build
+
+check_core_dumps --delete quiet
+
+prepare_build
+build_nvim
+
+exit_suite --continue
+
+enter_suite tests
+
+if test "$CLANG_SANITIZER" != "TSAN" ; then
+ # Additional threads are only created when the builtin UI starts, which
+ # doesn't happen in the unit/functional tests
+ run_test run_unittests
+ run_test run_functionaltests
+fi
+run_test run_oldtests
+
+run_test install_nvim
+
+exit_suite --continue
+
+end_tests